Subject: Re: [websec] draft-ietf-websec-strict-transport-sec - closing of WGLC

From: =JeffH <[email-masked]>
Date: Tue, 03 Jul 2012 16:07:57 -0700

> There remain two things left to do:
 >
<snip/>
 >
 > 2. a check of idnits revealed that there are a few reference problems
 > (including 3 Downref and 1 Obsolete normative reference).

(here's the actual idnits output..)

 >   ** Downref: Normative reference to an Informational RFC: RFC 2818

this ref was discussed on-list and deemed appropriate in that it's normative 
for the definition of HTTPS.

 >
 >   ** Obsolete normative reference: RFC 3490 (Obsoleted by RFC 5890, RFC 5891)

RFC 3490 & RFC 3492 are normatively ref'd out of necessity as discussed on the 
list. These two refs are annotated thusly..

               This specification is referenced due to its ongoing
               relevance to actual deployments for the foreseeable
               future.

 >
 >   ** Downref: Normative reference to an Informational RFC: RFC 5894
 >
 >   ** Downref: Normative reference to an Informational RFC: RFC 5895

I believe we decided in the extensive list discussion of the IDNA stuff and 
these references that we would keep these as normative refs because they really 
are necessary to getting IDNA stuff right.

 >
 >   -- Possible downref: Non-RFC (?) normative reference: ref. 'UTS46'

this is a legit & proper reference. The only alteration I'd do is remove the 
date on the reference since this spec is intermittently updated.

(done in my -11 working copy)

 >
 >   -- Possible downref: Non-RFC (?) normative reference: ref. 'Unicode'

this is a legit & proper reference.

 > This will come
 > up with the RFC-Editor by the latest, so please revisit the references
 > and check the idnits tool on the draft ASAP.
 > Plus two warnings:
 >
 >   == Missing Reference: 'I-D.draft-ietf-httpbis-p1-messaging-17' is mentioned
 >       on line 1839, but not defined

This is from the last paragraph in the acks appendix. I've altered it a bit to 
see if idnits won't barf on it.

(done in my -11 working copy)

 >
 >    == Outdated reference: A later version (-23) exists of
 >       draft-ietf-dane-protocol-19

Ok, I updated the ref to -dane-protocol-23 ... but the RFC Editor will 
ultimately fix this up because the latter is in the rfc-editor-queue and not 
yet published.

(done in my -11 working copy)

I've only made changes in my -11 working copy that I note above (and added 
another person to acks)

Do you suggest any other changes or should I publish -11 ?

thanks,

=JeffH

---

From: Alexey Melnikov <[email-masked]>
Date: Wed, 4 Jul 2012 11:26:00 +0100

Hi,

On 4 Jul 2012, at 00:07, =JeffH <[email-masked]> wrote:

> this ref was discussed on-list and deemed appropriate in that it's normative for the definition of HTTPS.
> 

This one is fine, it is in the Downref registry, which means you don't even need to call it out explicitly in the write-up (but it doesn't hurt to do anyway)
> RFC 3490 & RFC 3492 are normatively ref'd out of necessity as discussed on the list. These two refs are annotated thusly..
> 
> I believe we decided in the extensive list discussion of the IDNA stuff and these references that we would keep these as normative refs because they really are necessary to getting IDNA stuff right.
> 
> 

These are fine, just call them out explicitly in the write-up
> this is a legit & proper reference. The only alteration I'd do is remove the date on the reference since this spec is intermittently updated.
> 
These seem fine.
> This is from the last paragraph in the acks appendix. I've altered it a bit to see if idnits won't barf on it.
> 
> Ok, I updated the ref to -dane-protocol-23 ... but the RFC Editor will ultimately fix this up because the latter is in the rfc-editor-queue and not yet published.
> 

Right.

> I've only made changes in my -11 working copy that I note above (and added another person to acks)
> 

I suggest you wait for the AD review (or other issues that might come up on the mailing list).